diff --git a/changelog b/changelog
index 6f6fcb0..102ba8b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20080402 tpd src/input/Makefile add integration regression testing
+20080402 tpd src/input/schaum17.input integrals of sin(ax)
+20080402 tpd src/input/schaum16.input integrals of x^n \pm a^n
+20080402 tpd src/input/schaum15.input integrals of x^4 \pm a^4
 20080401 tpd src/input/Makefile add integration regression testing
 20080401 tpd src/input/schaum14.input integrals of x^3+a^3
 20080401 tpd src/input/schaum13.input integrals of sqrt(ax^2+bx+c)
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 2f109e9..6de47f3 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -358,7 +358,8 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     schaum1.regress   schaum2.regress  schaum3.regress  schaum4.regress \
     schaum5.regress   schaum6.regress  schaum7.regress  schaum8.regress \
     schaum9.regress   schaum10.regress schaum11.regress schaum12.regress \
-    schaum13.regress  schaum14.regress \
+    schaum13.regress  schaum14.regress schaum15.regress schaum16.regress \
+    schaum17.regress \
     scherk.regress    scope.regress    seccsc.regress \
     segbind.regress   seg.regress \
     series2.regress   series.regress   sersolve.regress set.regress \
@@ -635,7 +636,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/schaum5.input  ${OUT}/schaum6.input    ${OUT}/schaum7.input \
        ${OUT}/schaum8.input  ${OUT}/schaum9.input    ${OUT}/schaum10.input \
        ${OUT}/schaum11.input ${OUT}/schaum12.input   ${OUT}/schaum13.input \
-       ${OUT}/schaum14.input \
+       ${OUT}/schaum14.input ${OUT}/schaum15.input   ${OUT}/schaum16.input \
+       ${OUT}/schaum17.input \
        ${OUT}/saddle.input \
        ${OUT}/scherk.input   ${OUT}/scope.input      ${OUT}/seccsc.input \
        ${OUT}/segbind.input  ${OUT}/seg.input        ${OUT}/series2.input \
@@ -941,6 +943,8 @@ DOCFILES= \
   ${DOC}/schaum9.input.dvi     ${DOC}/schaum10.input.dvi \
   ${DOC}/schaum11.input.dvi    ${DOC}/schaum12.input.dvi \
   ${DOC}/schaum13.input.dvi    ${DOC}/schaum14.input.dvi \
+  ${DOC}/schaum15.input.dvi    ${DOC}/schaum16.input.dvi \
+  ${DOC}/schaum17.input.dvi \
   ${DOC}/s01eaf.input.dvi      ${DOC}/s13aaf.input.dvi     \
   ${DOC}/s13acf.input.dvi      ${DOC}/s13adf.input.dvi     \
   ${DOC}/s14aaf.input.dvi      ${DOC}/s14abf.input.dvi     \
diff --git a/src/input/schaum15.input.pamphlet b/src/input/schaum15.input.pamphlet
new file mode 100644
index 0000000..51a6094
--- /dev/null
+++ b/src/input/schaum15.input.pamphlet
@@ -0,0 +1,409 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum15.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.311~~~~~$\displaystyle
+\int{\frac{dx}{x^4+a^4}}$}
+$$\int{\frac{1}{x^4+a^4}}=
+\frac{1}{4a^3\sqrt{2}}
+\ln\left(\frac{x^2+ax\sqrt{2}+a^2}{x^2-ax\sqrt{2}+a^2}\right)
+-\frac{1}{2a^3\sqrt{2}}\tan^{-1}\frac{ax\sqrt{2}}{x^2-a^2}
+$$
+<<*>>=
+)spool schaum15.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 14
+aa:=integrate(1/(x^4+a^4),x)
+--R 
+--R
+--R   (1)
+--R        +------+          +------+2            +------+
+--R        |   1          8  |   1        4  +-+  |   1      2
+--R        |------ log(16a   |------  + 4a x\|2   |------ + x )
+--R       4|    12          4|    12             4|    12
+--R       \|256a            \|256a               \|256a
+--R     + 
+--R          +------+          +------+2            +------+
+--R          |   1          8  |   1        4  +-+  |   1      2
+--R       -  |------ log(16a   |------  - 4a x\|2   |------ + x )
+--R         4|    12          4|    12             4|    12
+--R         \|256a            \|256a               \|256a
+--R     + 
+--R                              +------+                               +------+
+--R                           4  |   1                               4  |   1
+--R                         4a   |------                           4a   |------
+--R        +------+             4|    12          +------+             4|    12
+--R        |   1                \|256a            |   1                \|256a
+--R     2  |------ atan(-------------------- - 2  |------ atan(--------------------)
+--R       4|    12           +------+            4|    12           +------+
+--R       \|256a          4  |   1       +-+     \|256a          4  |   1       +-+
+--R                     4a   |------ - x\|2                    4a   |------ + x\|2
+--R                         4|    12                               4|    12
+--R                         \|256a                                 \|256a
+--R  /
+--R      +-+
+--R     \|2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.312~~~~~$\displaystyle
+\int{\frac{x~dx}{x^4+a^4}}$}
+$$\int{\frac{x}{x^4+a^4}}=
+\frac{1}{2a^2}\tan^{-1}\frac{x^2}{a^2}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 14
+aa:=integrate(x/(x^4+a^4),x)
+--R 
+--R
+--R              2
+--R             x
+--R        atan(--)
+--R              2
+--R             a
+--R   (1)  --------
+--R             2
+--R           2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.313~~~~~$\displaystyle
+\int{\frac{x^2~dx}{x^4+a^4}}$}
+$$\int{\frac{x^2}{x^4+a^4}}=
+\frac{1}{4a\sqrt{2}}
+\ln\left(\frac{x^2-ax\sqrt{2}+a^2}{x^2+ax\sqrt{2}+a^2}\right)
+-\frac{1}{2a\sqrt{2}}\tan^{-1}\frac{ax\sqrt{2}}{x^2-a^2}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 14
+aa:=integrate(x^2/(x^4+a^4),x)
+--R 
+--R
+--R   (1)
+--R          +-----+               +-----+3        +-----+2
+--R          |  1          4  +-+  |  1         4  |  1       2
+--R       -  |----- log(64a x\|2   |-----  + 16a   |-----  + x )
+--R         4|    4               4|    4         4|    4
+--R         \|256a                \|256a          \|256a
+--R     + 
+--R        +-----+                 +-----+3        +-----+2
+--R        |  1            4  +-+  |  1         4  |  1       2
+--R        |----- log(- 64a x\|2   |-----  + 16a   |-----  + x )
+--R       4|    4                 4|    4         4|    4
+--R       \|256a                  \|256a          \|256a
+--R     + 
+--R                              +-----+3                               +-----+3
+--R                           4  |  1                                4  |  1
+--R                        64a   |-----                           64a   |-----
+--R        +-----+              4|    4           +-----+              4|    4
+--R        |  1                 \|256a            |  1                 \|256a
+--R     2  |----- atan(--------------------- - 2  |----- atan(---------------------)
+--R       4|    4            +-----+3            4|    4            +-----+3
+--R       \|256a          4  |  1        +-+     \|256a          4  |  1        +-+
+--R                    64a   |-----  - x\|2                   64a   |-----  + x\|2
+--R                         4|    4                                4|    4
+--R                         \|256a                                 \|256a
+--R  /
+--R      +-+
+--R     \|2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.314~~~~~$\displaystyle
+\int{\frac{x^3~dx}{x^4+a^4}}$}
+$$\int{\frac{x^3}{x^4+a^4}}=
+\frac{1}{4}\ln(x^4+a^4)
+$$
+<<*>>=
+)clear all
+
+--S 4 of 14
+aa:=integrate(x^3/(x^4+a^4),x)
+--R 
+--R
+--R             4    4
+--R        log(x  + a )
+--R   (1)  ------------
+--R              4
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.315~~~~~$\displaystyle
+\int{\frac{dx}{x(x^4+a^4)}}~dx$}
+$$\int{\frac{1}{x(x^4+a^4)}}=
+\frac{1}{4a^4}\ln\left(\frac{x^4}{x^4+a^4}\right)
+$$
+<<*>>=
+)clear all
+
+--S 5 of 14
+aa:=integrate(1/(x*(x^4+a^4)),x)
+--R 
+--R
+--R               4    4
+--R        - log(x  + a ) + 4log(x)
+--R   (1)  ------------------------
+--R                     4
+--R                   4a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.316~~~~~$\displaystyle
+\int{\frac{dx}{x^2(x^4+a^4)}}$}
+$$\int{\frac{1}{x^2(x^4+a^4)}}=
+-\frac{1}{a^4x}-\frac{1}{4a^5\sqrt{2}}
+\ln\left(\frac{x^2-ax\sqrt{2}+a^2}{x^2+ax\sqrt{2}+a^2}\right)
++\frac{1}{2a^5\sqrt{2}}\tan^{-1}\frac{ax\sqrt{2}}{x^2-a^2}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 14
+aa:=integrate(1/(x^2*(x^4+a^4)),x)
+--R 
+--R
+--R   (1)
+--R            +------+                +------+3         +------+2
+--R        4   |   1          16  +-+  |   1         12  |   1       2
+--R       a x  |------ log(64a  x\|2   |------  + 16a    |------  + x )
+--R           4|    20                4|    20          4|    20
+--R           \|256a                  \|256a            \|256a
+--R     + 
+--R              +------+                  +------+3         +------+2
+--R          4   |   1            16  +-+  |   1         12  |   1       2
+--R       - a x  |------ log(- 64a  x\|2   |------  + 16a    |------  + x )
+--R             4|    20                  4|    20          4|    20
+--R             \|256a                    \|256a            \|256a
+--R     + 
+--R                                       +------+3
+--R                                   16  |   1
+--R                                64a    |------
+--R               +------+               4|    20
+--R           4   |   1                  \|256a
+--R       - 2a x  |------ atan(-----------------------)
+--R              4|    20             +------+3
+--R              \|256a           16  |   1        +-+
+--R                            64a    |------  - x\|2
+--R                                  4|    20
+--R                                  \|256a
+--R     + 
+--R                                     +------+3
+--R                                 16  |   1
+--R                              64a    |------
+--R             +------+               4|    20
+--R         4   |   1                  \|256a           +-+
+--R       2a x  |------ atan(----------------------- - \|2
+--R            4|    20             +------+3
+--R            \|256a           16  |   1        +-+
+--R                          64a    |------  + x\|2
+--R                                4|    20
+--R                                \|256a
+--R  /
+--R      4  +-+
+--R     a x\|2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.317~~~~~$\displaystyle
+\int{\frac{dx}{x^3(x^4+a^4)}}$}
+$$\int{\frac{1}{x^3(x^4+a^4)}}=
+-\frac{1}{2a^4x^2}-\frac{1}{2a^6}\tan^{-1}\frac{x^2}{a^2}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 14
+aa:=integrate(1/(x^3*(x^4+a^4)),x)
+--R 
+--R
+--R                  2
+--R           2     x      2
+--R        - x atan(--) - a
+--R                  2
+--R                 a
+--R   (1)  -----------------
+--R                6 2
+--R              2a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.318~~~~~$\displaystyle
+\int{\frac{dx}{(x^4-a^4)}}$}
+$$\int{\frac{1}{(x^4-a^4)}}=
+\frac{1}{4a^3}\ln\left(\frac{x-a}{x+a}\right)
+-\frac{1}{2a^3}\tan^{-1}\frac{x}{a}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 14
+aa:=integrate(1/(x^4-a^4),x)
+--R 
+--R
+--R                                          x
+--R        - log(x + a) + log(x - a) - 2atan(-)
+--R                                          a
+--R   (1)  ------------------------------------
+--R                           3
+--R                         4a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.319~~~~~$\displaystyle
+\int{\frac{x~dx}{(x^4-a^4)}}$}
+$$\int{\frac{x}{(x^4-a^4)}}=
+\frac{1}{4a^2}\ln\left(\frac{x^2-a^2}{x^2+a^2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 9 of 14
+aa:=integrate(x/(x^4-a^4),x)
+--R 
+--R
+--R               2    2         2    2
+--R        - log(x  + a ) + log(x  - a )
+--R   (1)  -----------------------------
+--R                       2
+--R                     4a
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.320~~~~~$\displaystyle
+\int{\frac{x^2~dx}{x^4-a^4}}$}
+$$\int{\frac{x^2}{x^4-a^4}}=
+\frac{1}{4a}\ln\left(\frac{x-a}{x+a}\right)
++\frac{1}{2a}\tan^{-1}\frac{x}{a}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 14
+aa:=integrate(x^2/(x^4-a^4),x)
+--R 
+--R
+--R                                          x
+--R        - log(x + a) + log(x - a) + 2atan(-)
+--R                                          a
+--R   (1)  ------------------------------------
+--R                         4a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.321~~~~~$\displaystyle
+\int{\frac{x^3~dx}{x^4-a^4}}$}
+$$\int{\frac{x^3}{x^4-a^4}}=
+\frac{1}{4}\ln(x^4-a^4)
+$$
+<<*>>=
+)clear all
+
+--S 11 of 14
+aa:=integrate(x^3/(x^4-a^4),x)
+--R 
+--R
+--R             4    4
+--R        log(x  - a )
+--R   (1)  ------------
+--R              4
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.322~~~~~$\displaystyle
+\int{\frac{dx}{x(x^4-a^4)}}$}
+$$\int{\frac{1}{x(x^4-a^4)}}=
+\frac{1}{4a^4}\ln\left(\frac{x^4-a^4}{x^4}\right)
+$$
+<<*>>=
+)clear all
+
+--S 12 of 14
+aa:=integrate(1/(x*(x^4-a^4)),x)
+--R 
+--R
+--R             4    4
+--R        log(x  - a ) - 4log(x)
+--R   (1)  ----------------------
+--R                    4
+--R                  4a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.323~~~~~$\displaystyle
+\int{\frac{dx}{x^2(x^4-a^4)}}$}
+$$\int{\frac{1}{x^2(x^4-a^4)}}=
+\frac{1}{a^4x}+\frac{1}{4a^5}\ln\left(\frac{x-a}{x+a}\right)
++\frac{1}{2a^5}\tan^{-1}\frac{x}{a}
+$$
+<<*>>=
+)clear all
+
+--S 13 of 14
+aa:=integrate(1/(x^2*(x^4-a^4)),x)
+--R 
+--R
+--R                                                x
+--R        - x log(x + a) + x log(x - a) + 2x atan(-) + 4a
+--R                                                a
+--R   (1)  -----------------------------------------------
+--R                                5
+--R                              4a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.324~~~~~$\displaystyle
+\int{\frac{dx}{x^3(x^4-a^4)}}$}
+$$\int{\frac{1}{x^3(x^4-a^4)}}=
+\frac{1}{2a^4x^2}+\frac{1}{4a^6}\ln\left(\frac{x^2-a^2}{x^2+a^2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 14 of 14
+aa:=integrate(1/(x^3*(x^4-a^4)),x)
+--R 
+--R
+--R           2     2    2     2     2    2      2
+--R        - x log(x  + a ) + x log(x  - a ) + 2a
+--R   (1)  ---------------------------------------
+--R                           6 2
+--R                         4a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp73-74
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum16.input.pamphlet b/src/input/schaum16.input.pamphlet
new file mode 100644
index 0000000..2246f9a
--- /dev/null
+++ b/src/input/schaum16.input.pamphlet
@@ -0,0 +1,394 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum16.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.325~~~~~$\displaystyle
+\int{\frac{dx}{x(x^n+a^n)}}$}
+$$\int{\frac{1}{x(x^n+a^n)}}=
+\frac{1}{na^n}\ln\frac{x^n}{x^n+a^n}
+$$
+<<*>>=
+)spool schaum16.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 14
+aa:=integrate(1/x*(x^n+a^n),x)
+--R 
+--R
+--R          n log(x)            n
+--R        %e         + n log(x)a
+--R   (1)  -----------------------
+--R                   n
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.326~~~~~$\displaystyle
+\int{\frac{x^{n-1}~dx}{x^n+a^n}}$}
+$$\int{\frac{x^{n-1}}{x^n+a^n}}=
+\frac{1}{n}\ln(x^n+a^n)
+$$
+<<*>>=
+)clear all
+
+--S 2 of 14
+aa:=integrate(x^(n-1)/(x^n+a^n),x)
+--R 
+--R
+--R              n log(x)    n
+--R        log(%e         + a )
+--R   (1)  --------------------
+--R                  n
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.327~~~~~$\displaystyle
+\int{\frac{x^m~dx}{(x^n+a^n)^r}}$}
+$$\int{\frac{x^m}{(x^n+a^n)^r}}=
+\int{\frac{x^{m-n}}{(x^n+a^n)^{r-1}}}
+-a^n\int{\frac{x^{m-n}}{(x^n+a^n)^r}}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 14
+aa:=integrate(x^m/(x^n+a^n)^r,x)
+--R 
+--R
+--R           x       m
+--R         ++      %J
+--R   (1)   |   ----------- d%J
+--R        ++     n     n r
+--R             (a  + %J )
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.328~~~~~$\displaystyle
+\int{\frac{dx}{x^m(x^n+a^n)^r}}$}
+$$\int{\frac{1}{x^m(x^n+a^n)^r}}=
+\frac{1}{a^n}\int{\frac{1}{x^m(x^n+a^n)^{r-1}}}
+-\frac{1}{a^n}\int{\frac{1}{x^{m-n}(x^n+a^n)^r}}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 14
+aa:=integrate(1/(x^m*(x^n+a^n)^r),x)
+--R 
+--R
+--R           x
+--R         ++         1
+--R   (1)   |   -------------- d%J
+--R        ++     m  n     n r
+--R             %J (a  + %J )
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.329~~~~~$\displaystyle
+\int{\frac{dx}{x\sqrt{x^n+a^n}}}$}
+$$\int{\frac{1}{x\sqrt{x^n+a^n}}}=
+\frac{1}{n\sqrt{a^n}}\ln\left(\frac{\sqrt{x^n+a^n}-\sqrt{a^n}}
+{\sqrt{x^n+a^n}+\sqrt{a^n}}\right)
+$$
+<<*>>=
+)clear all
+
+--S 5 of 14
+aa:=integrate(1/(x*sqrt(x^n+a^n)),x)
+--R 
+--R
+--R   (1)
+--R              +---------------+                      +--+
+--R            n |  n log(x)    n       n log(x)     n  | n
+--R        - 2a \|%e         + a   + (%e         + 2a )\|a
+--R    log(-------------------------------------------------)
+--R                              n log(x)
+--R                            %e
+--R   [------------------------------------------------------,
+--R                              +--+
+--R                              | n
+--R                            n\|a
+--R             +----+ +---------------+
+--R             |   n  |  n log(x)    n
+--R            \|- a  \|%e         + a
+--R      2atan(-------------------------)
+--R                         n
+--R                        a
+--R    - --------------------------------]
+--R                    +----+
+--R                    |   n
+--R                  n\|- a
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.330~~~~~$\displaystyle
+\int{\frac{dx}{x(x^n-a^n)}}$}
+$$\int{\frac{1}{x(x^n-a^n)}}=
+\frac{1}{na^n}\ln\left(\frac{x^n-a^n}{x^n}\right)
+$$
+<<*>>=
+)clear all
+
+--S 6 of 14
+aa:=integrate(1/(x*(x^n-a^n)),x)
+--R 
+--R
+--R              n log(x)    n
+--R        log(%e         - a ) - n log(x)
+--R   (1)  -------------------------------
+--R                         n
+--R                      n a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.331~~~~~$\displaystyle
+\int{\frac{x^{n-1}dx}{x^n-a^n}}$}
+$$\int{\frac{x^{n-1}}{x^n-a^n}}=
+\frac{1}{n}\ln(x^n-a^n)
+$$
+<<*>>=
+)clear all
+
+--S 7 of 14
+aa:=integrate(x^(n-1)/(x^n-a^n),x)
+--R 
+--R
+--R              n log(x)    n
+--R        log(%e         - a )
+--R   (1)  --------------------
+--R                  n
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.332~~~~~$\displaystyle
+\int{\frac{x^m~dx}{(x^n-a^n)^r}}$}
+$$\int{\frac{x^m}{(x^n-a^n)^r}}=
+a^n\int{\frac{x^{m-n}}{(x^n-a^n)^r}}
++\int{\frac{x^{m-n}}{(x^n-a^n)^{r-1}}}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 14
+aa:=integrate(x^m/(x^n-a^n)^r,x)
+--R 
+--R
+--R           x        m
+--R         ++       %J
+--R   (1)   |   ------------- d%J
+--R        ++       n     n r
+--R             (- a  + %J )
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.333~~~~~$\displaystyle
+\int{\frac{dx}{x^m(x^n-a^n)^r}}$}
+$$\int{\frac{1}{x^m(x^n-a^n)^r}}=
+\frac{1}{a^n}\int{\frac{1}{x^{m-n}(x^n-a^n)^r}}
+-\frac{1}{a^n}\int{\frac{1}{x^m(x^n-a^n)^{r-1}}}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 14
+aa:=integrate(1/(x^m*(x^n-a^n)^r),x)
+--R 
+--R
+--R           x
+--R         ++          1
+--R   (1)   |   ---------------- d%J
+--R        ++     m    n     n r
+--R             %J (- a  + %J )
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.334~~~~~$\displaystyle
+\int{\frac{dx}{x\sqrt{x^n-a^n}}}$}
+$$\int{\frac{1}{x\sqrt{x^n-a^n}}}=
+\frac{2}{n\sqrt{a^n}}\cos^{-1}\sqrt{\frac{a^n}{x^n}}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 14
+aa:=integrate(1/(x*sqrt(x^n-a^n)),x)
+--R 
+--R
+--R   (1)
+--R            +---------------+                      +----+
+--R          n |  n log(x)    n       n log(x)     n  |   n
+--R        2a \|%e         - a   + (%e         - 2a )\|- a
+--R    log(-------------------------------------------------)
+--R                              n log(x)
+--R                            %e
+--R   [------------------------------------------------------,
+--R                             +----+
+--R                             |   n
+--R                           n\|- a
+--R           +--+ +---------------+
+--R           | n  |  n log(x)    n
+--R          \|a  \|%e         - a
+--R    2atan(-----------------------)
+--R                      n
+--R                     a
+--R    ------------------------------]
+--R                  +--+
+--R                  | n
+--R                n\|a
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.335~~~~~$\displaystyle
+\int{\frac{x^{p-1}~dx}{x^{2m}+a^{2m}}}$ provided $0<p\le 2m$}
+$$\begin{array}{rl}
+\displaystyle\int{\frac{x^{p-1}}{x^{2m}+a^{2m}}}=
+&\displaystyle\frac{1}{ma^{2m-p}}\sum_{k=1}^m{\sin\frac{(2k-1)p\pi}{2m}
+\tan^{-1}\left(\frac{x+a\cos\left((2k-1)\pi/2m\right)}
+{a\sin\left((2k-1)\pi/2m\right)}\right)}\\
+&\\
+&\displaystyle-\frac{1}{2ma^{2m-p}}\sum_{k=1}^m{\cos\frac{(2k-1)p\pi}{2m}
+\ln\left(x^2+2ax\cos\frac{(2k-1)\pi}{2m}+a^2\right)}
+\end{array}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 14
+aa:=integrate(x^(p-1)/(x^(2*m)+a^(2*m)),x)
+--R 
+--R
+--R           x     p - 1
+--R         ++    %J
+--R   (1)   |   ---------- d%J
+--R        ++    2m     2m
+--R             a   + %J
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.336~~~~~$\displaystyle
+\int{\frac{x^{p-1}dx}{x^{2m}-a^{2m}}}$ provided $0<p\le 2m$}
+$$\begin{array}{rl}
+\displaystyle
+\int{\frac{x^{p-1}}{x^{2m}-a^{2m}}}=
+&\displaystyle\frac{1}{2ma^{2m-p}}\sum_{k=1}^{m-1}\cos\frac{kp\pi}{m}
+\ln\left(x^2-2ax\cos\frac{k\pi}{m}+a^2\right)\\
+&\\
+&\displaystyle-\frac{1}{ma^{2m-p}}\sum_{k=1}^{m-1}\sin\frac{kp\pi}{m}
+\tan^{-1}\left(\frac{x-a\cos(k\pi/m)}{a\sin(k\pi/m)}\right)\\
+&\\
+&\displaystyle+\frac{1}{2ma^{2m-p}}\left(\ln(x-a)+(-1)^p\ln(x+a)\right)
+\end{array}
+$$
+<<*>>=
+)clear all
+
+--S 12 of 14
+aa:=integrate(x^(p-1)/(x^(2*m)-a^(2*m)),x)
+--R 
+--R
+--R           x       p - 1
+--R         ++      %J
+--R   (1)   |   - ---------- d%J
+--R        ++      2m     2m
+--R               a   - %J
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.337~~~~~$\displaystyle
+\int{\frac{x^{p-1}~dx}{x^{2m+1}+a^{2m+1}}}$ provided $0<p\le 2m+1$}
+$$\begin{array}{rl}
+\displaystyle\int{\frac{x^{p-1}}{x^{2m+1}+a^{2m+1}}}=&\hbox{\hskip 6.5cm}
+\end{array}
+$$
+$$\begin{array}{rl}
+\hbox{\hskip 1cm}&\displaystyle
+\frac{2(-1)^{p-1}}{(2m+1)a^{2m-p+1}}\sum_{k=1}^m{\sin\frac{2kp\pi}{2m+1}
+\tan^{-1}\left(\frac{x+a\cos\left(2k\pi/(2m+1)\right)}
+{a\sin\left(2k\pi/(2m+1)\right)}\right)}\\
+&\displaystyle
+-\frac{(-1)^{p-1}}{(2m+1)a^{2m-p+1}}\sum_{k=1}^m{\cos\frac{2kp\pi}{2m+1}
+\ln\left(x^2+2ax\cos\frac{2k\pi}{2m+1}+a^2\right)}\\
+&\\
+&\displaystyle+\frac{(-1)^{p-1}\ln(x+a)}{(2m+1)a^{2m-p+1}}
+\end{array}
+$$
+<<*>>=
+)clear all
+
+--S 13 of 14
+aa:=integrate(x^(p-1)/(x^(2*m+1)+a^(2*m+1)),x)
+--R 
+--R
+--R           x         p - 1
+--R         ++        %J
+--R   (1)   |   ------------------ d%J
+--R        ++    2m + 1     2m + 1
+--R             a       + %J
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.338~~~~~$\displaystyle
+\int{\frac{x^{p-1}~dx}{x^{2m+1}-a^{2m+1}}}$ provided $0<p\le 2m+1$}
+$$\begin{array}{rl}
+\displaystyle\int{\frac{x^{p-1}}{x^{2m+1}-a^{2m+1}}}=&\hbox{\hskip 6cm}
+\end{array}
+$$
+$$\begin{array}{rl}
+\hbox{\hskip 1cm}&\displaystyle
+\frac{2}{(2m+1)a^{2m-p+1}}\sum_{k=1}^m{\sin\frac{2kp\pi}{2m+1}
+\tan^{-1}\left(\frac{x-a\cos\left(2kp\pi/(2m+1)\right)}
+{a\sin\left(2k\pi/(2m+1)\right)}\right)}\\
+&\\
+&\hbox{\hskip 1cm}\displaystyle
++\frac{1}{(2m+1)a^{2m-p+1}}\sum_{k=1}^m{\cos\frac{2kp\pi}{2m+1}
+\ln\left(x^2-2ax\cos\frac{2k\pi}{2m+1}+a^2\right)}\\
+&\\
+&\hbox{\hskip 1cm}\displaystyle
++\frac{\ln(x-a)}{(2m+1)a^{2m-p+1}}
+\end{array}
+$$
+<<*>>=
+)clear all
+
+--S 14 of 14
+aa:=integrate(x^(p-1)/(x^(2*m+1)-a^(2*m+1)),x)
+--R 
+--R
+--R           x           p - 1
+--R         ++          %J
+--R   (1)   |   - ------------------ d%J
+--R        ++      2m + 1     2m + 1
+--R               a       - %J
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp74-75
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum17.input.pamphlet b/src/input/schaum17.input.pamphlet
new file mode 100644
index 0000000..7ab11d7
--- /dev/null
+++ b/src/input/schaum17.input.pamphlet
@@ -0,0 +1,779 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum17.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.339~~~~~$\displaystyle
+\int{\sin ax ~dx}$}
+$$\int{\sin ax}=
+-\frac{\cos{ax}}{a}
+$$
+<<*>>=
+)spool schaum17.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 30
+aa:=integrate(sin(a*x),x)
+--R 
+--R
+--R          cos(a x)
+--R   (1)  - --------
+--R              a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.340~~~~~$\displaystyle
+\int{x\sin{ax}~dx}$}
+$$\int{x\sin{ax}}=
+\frac{sin{ax}}{a^2}-\frac{x\cos{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 30
+aa:=integrate(x*sin(a*x),x)
+--R 
+--R
+--R        sin(a x) - a x cos(a x)
+--R   (1)  -----------------------
+--R                    2
+--R                   a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.341~~~~~$\displaystyle
+\int{x^2\sin{ax}~dx}$}
+$$\int{x^2\sin{ax}}=
+\frac{2x}{a^2}\sin{ax}+\left(\frac{2}{a^3}-\frac{x^2}{a}\right)\cos{ax}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 30
+aa:=integrate(x^2*sin(a*x),x)
+--R 
+--R
+--R                            2 2
+--R        2a x sin(a x) + (- a x  + 2)cos(a x)
+--R   (1)  ------------------------------------
+--R                          3
+--R                         a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.342~~~~~$\displaystyle
+\int{x^3\sin{ax}~dx}$}
+$$\int{x^3\sin{ax}}=
+\left(\frac{3x^2}{a^2}-\frac{6}{a^4}\right)\sin{ax}
++\left(\frac{6x}{a^3}-\frac{x^3}{a}\right)\cos{ax}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 30
+aa:=integrate(x^3*sin(a*x),x)
+--R 
+--R
+--R           2 2                    3 3
+--R        (3a x  - 6)sin(a x) + (- a x  + 6a x)cos(a x)
+--R   (1)  ---------------------------------------------
+--R                               4
+--R                              a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.343~~~~~$\displaystyle
+\int{\frac{\sin{ax}}{x}}~dx$}
+$$\int{\frac{\sin{ax}}{x}}=
+ax-\frac{(ax)^3}{3\cdot 3!}+\frac{(ax)^5}{5\cdot 5!}-\cdots
+$$
+<<*>>=
+)clear all
+
+--S 5 of 30
+aa:=integrate(sin(x)/x,x)
+--R 
+--R
+--R   (1)  Si(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.344~~~~~$\displaystyle
+\int{\frac{\sin{ax}}{x^2}}~dx$}
+$$\int{\frac{\sin{ax}}{x^2}}=
+-\frac{\sin{ax}}{x}+a\int{\frac{\cos{ax}}{x}}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 30
+aa:=integrate(sin(a*x)/x^2,x)
+--R 
+--R
+--R           x
+--R         ++  sin(%I a)
+--R   (1)   |   --------- d%I
+--R        ++        2
+--R                %I
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.345~~~~~$\displaystyle
+\int{\frac{dx}{\sin{ax}}}$}
+$$\int{\frac{1}{\sin{ax}}}=
+\frac{1}{a}\ln(\csc{ax}-\cot{ax})=
+\frac{1}{a}\ln\tan\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 30
+aa:=integrate(1/sin(a*x),x)
+--R 
+--R
+--R              sin(a x)
+--R        log(------------)
+--R            cos(a x) + 1
+--R   (1)  -----------------
+--R                a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.346~~~~~$\displaystyle
+\int{\frac{x~dx}{\sin{ax}}}$}
+$$\int{\frac{x}{\sin{ax}}}=
+\frac{1}{a^2}\left\{
+ax+\frac{(ax)^3}{18}+\frac{7(ax)^5}{1800}+\cdots+
+\frac{2(2^{2n-1}-1)B_n(ax)^{2n+1}}{(2n+1)!}+\cdots\right\}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 30
+aa:=integrate(x/sin(a*x),x)
+--R 
+--R
+--R           x
+--R         ++      %I
+--R   (1)   |   --------- d%I
+--R        ++   sin(%I a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.347~~~~~$\displaystyle
+\int{\sin^2{ax}}~dx$}
+$$\int{\sin^2{ax}}=
+\frac{x}{2}-\frac{\sin{2ax}}{4a}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 30
+aa:=integrate(sin(a*x)^2,x)
+--R 
+--R
+--R        - cos(a x)sin(a x) + a x
+--R   (1)  ------------------------
+--R                   2a
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.348~~~~~$\displaystyle
+\int{x\sin^2{ax}}~dx$}
+$$\int{x\sin^2{ax}}=
+\frac{x^2}{4}-\frac{x\sin{2ax}}{4a}-\frac{\cos{2ax}}{8a^2}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 30
+aa:=integrate(x*sin(a*x)^2,x)
+--R 
+--R
+--R                                          2    2 2
+--R        - 2a x cos(a x)sin(a x) - cos(a x)  + a x
+--R   (1)  ------------------------------------------
+--R                              2
+--R                            4a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.349~~~~~$\displaystyle
+\int{\sin^3{ax}}~dx$}
+$$\int{\sin^3{ax}}=
+-\frac{\cos{ax}}{a}+\frac{\cos^3{ax}}{3a}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 30
+aa:=integrate(sin(a*x)^3,x)
+--R 
+--R
+--R                3
+--R        cos(a x)  - 3cos(a x)
+--R   (1)  ---------------------
+--R                  3a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.350~~~~~$\displaystyle
+\int{\sin^4{ax}}~dx$}
+$$\int{\sin^4{ax}}=
+\frac{3x}{8}-\frac{\sin{2ax}}{4a}+\frac{\sin{4ax}}{32a}
+$$
+<<*>>=
+)clear all
+
+--S 12 of 30
+aa:=integrate(sin(a*x)^4,x)
+--R 
+--R
+--R                  3
+--R        (2cos(a x)  - 5cos(a x))sin(a x) + 3a x
+--R   (1)  ---------------------------------------
+--R                           8a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.351~~~~~$\displaystyle
+\int{\frac{dx}{\sin^2{ax}}}$}
+$$\int{\frac{1}{\sin^2{ax}}}=
+-\frac{1}{a}\cot{ax}
+$$
+<<*>>=
+)clear all
+
+--S 13 of 30
+aa:=integrate(1/sin(a*x)^2,x)
+--R 
+--R
+--R           cos(a x)
+--R   (1)  - ----------
+--R          a sin(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.352~~~~~$\displaystyle
+\int{\frac{dx}{\sin^3{ax}}}$}
+$$\int{\frac{1}{\sin^3{ax}}}=
+-\frac{\cos{ax}}{2a\sin^2{ax}}+\frac{1}{2a}\ln\tan\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 14 of 30
+aa:=integrate(1/sin(a*x)^3,x)
+--R 
+--R
+--R                 2           sin(a x)
+--R        (cos(a x)  - 1)log(------------) + cos(a x)
+--R                           cos(a x) + 1
+--R   (1)  -------------------------------------------
+--R                                2
+--R                     2a cos(a x)  - 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.353~~~~~$\displaystyle
+\int{\sin{px}\sin{qx}}~dx$}
+$$\int{\sin{px}\sin{qx}}=
+\frac{\sin{(p-q)x}}{2(p-q)}-\frac{\sin{(p+q)x}}{2(p+q)}
+$$
+<<*>>=
+)clear all
+
+--S 15 of 30
+aa:=integrate(sin(p*x)*sin(q*x),x)
+--R 
+--R
+--R        p cos(p x)sin(q x) - q cos(q x)sin(p x)
+--R   (1)  ---------------------------------------
+--R                         2    2
+--R                        q  - p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.354~~~~~$\displaystyle
+\int{\frac{dx}{1-\sin{ax}}}$}
+$$\int{\frac{1}{1-\sin{ax}}}=
+\frac{1}{a}\tan\left(\frac{\pi}{4}+\frac{ax}{2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 16 of 30
+aa:=integrate(1/(1-sin(a*x)),x)
+--R 
+--R
+--R              - 2cos(a x) - 2
+--R   (1)  ---------------------------
+--R        a sin(a x) - a cos(a x) - a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.355~~~~~$\displaystyle
+\int{\frac{x~dx}{1-\sin{ax}}}$}
+$$\int{\frac{x}{1-\sin{ax}}}=
+\frac{x}{a}\tan\left(\frac{\pi}{4}+\frac{ax}{2}\right)
++\frac{2}{a^2}\ln~\sin\left(\frac{\pi}{4}-\frac{ax}{2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 17 of 30
+aa:=integrate(x/(1-sin(ax)),x)
+--R 
+--R
+--R                2
+--R               x
+--R   (1)  - ------------
+--R          2sin(ax) - 2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.356~~~~~$\displaystyle
+\int{\frac{dx}{1+\sin{ax}}}$}
+$$\int{\frac{1}{1+\sin{ax}}}=
+-\frac{1}{a}\tan\left(\frac{\pi}{4}-\frac{ax}{2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 18 of 30
+aa:=integrate(1/(1+sin(ax)),x)
+--R 
+--R
+--R             x
+--R   (1)  -----------
+--R        sin(ax) + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.357~~~~~$\displaystyle
+\int{\frac{x~dx}{1+\sin{ax}}}$}
+$$\int{\frac{x}{1+\sin{ax}}}=
+-\frac{x}{a}\tan\left(\frac{\pi}{4}-\frac{ax}{2}\right)
++\frac{2}{a^2}\ln~\sin\left(\frac{\pi}{4}+\frac{ax}{2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 19 of 30
+aa:=integrate(x/(1+sin(a*x)),x)
+--R 
+--R
+--R   (1)
+--R                                      sin(a x) + cos(a x) + 1
+--R       (2sin(a x) + 2cos(a x) + 2)log(-----------------------)
+--R                                            cos(a x) + 1
+--R     + 
+--R                                            2
+--R       (- sin(a x) - cos(a x) - 1)log(------------) + a x sin(a x)
+--R                                      cos(a x) + 1
+--R     + 
+--R       - a x cos(a x) - a x
+--R  /
+--R      2            2            2
+--R     a sin(a x) + a cos(a x) + a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.358~~~~~$\displaystyle
+\int{\frac{dx}{(1-\sin{ax})^2}}$}
+$$\int{\frac{1}{(1-\sin{ax})^2}}=
+\frac{1}{2a}\tan\left(\frac{\pi}{4}+\frac{ax}{2}\right)
++\frac{1}{6a}\tan^3\left(\frac{\pi}{4}+\frac{ax}{2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 20 of 30
+aa:=integrate(1/(1-sin(a*x))^2,x)
+--R 
+--R
+--R                                               2
+--R             (3cos(a x) + 3)sin(a x) + cos(a x)  - 4cos(a x) - 5
+--R   (1)  ------------------------------------------------------------
+--R                                                2
+--R        (3a cos(a x) + 6a)sin(a x) + 3a cos(a x)  - 3a cos(a x) - 6a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.359~~~~~$\displaystyle
+\int{\frac{dx}{(1+\sin{ax})^2}}$}
+$$\int{\frac{1}{(1+\sin{ax})^2}}=
+-\frac{1}{2a}\tan\left(\frac{\pi}{4}-\frac{ax}{2}\right)
+-\frac{1}{6a}\tan^3\left(\frac{\pi}{4}-\frac{ax}{2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 21 of 30
+aa:=integrate(1/(1+sin(a*x))^2,x)
+--R 
+--R
+--R                                                2
+--R            (- 3cos(a x) - 3)sin(a x) + cos(a x)  - 4cos(a x) - 5
+--R   (1)  ------------------------------------------------------------
+--R                                                2
+--R        (3a cos(a x) + 6a)sin(a x) - 3a cos(a x)  + 3a cos(a x) + 6a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.360~~~~~$\displaystyle
+\int{\frac{dx}{p+q\sin{ax}}}$}
+$$\int{\frac{1}{p+q\sin{ax}}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{2}{a\sqrt{p^2-q^q}}
+\tan^{-1}\frac{p\tan{\frac{1}{2}ax}+q}{\sqrt{p^2-q^2}}\\
+\\
+\displaystyle
+\frac{1}{a\sqrt{q^2-p^2}}\ln\left(\frac{p\tan{\frac{1}{2}ax}+q-\sqrt{q^2-p^2}}
+{p\tan{\frac{1}{2}ax}+q+\sqrt{q^2-p^2}}\right)
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 22 of 30
+aa:=integrate(1/(p+q*sin(a*x)),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R       log
+--R                                                      +-------+
+--R                                2    2             2  | 2    2
+--R              (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R            + 
+--R                    2    3                3    2              3    2
+--R              (- p q  + p )sin(a x) + (- q  + p q)cos(a x) - q  + p q
+--R         /
+--R            q sin(a x) + p
+--R    /
+--R         +-------+
+--R         | 2    2
+--R       a\|q  - p
+--R     ,
+--R                                          +---------+
+--R                                          |   2    2
+--R            (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R      2atan(-----------------------------------------)
+--R                     2    2             2    2
+--R                   (q  - p )cos(a x) + q  - p
+--R    - ------------------------------------------------]
+--R                          +---------+
+--R                          |   2    2
+--R                        a\|- q  + p
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.361~~~~~$\displaystyle
+\int{\frac{dx}{(p+q\sin{ax})^2}}$}
+$$\int{\frac{1}{(p+q\sin{ax})^2}}=
+\frac{q\cos{ax}}{a(p^2-q^2)(p+q\sin{ax})}
++\frac{p}{p^2-q^2}\int{\frac{1}{p+q\sin{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 23 of 30
+aa:=integrate(1/(p+q*sin(a*x))^2,x)
+--R 
+--R
+--R   (1)
+--R   [
+--R             2              3
+--R           (p q sin(a x) + p )
+--R        *
+--R           log
+--R                                                          +-------+
+--R                                    2    2             2  | 2    2
+--R                  (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R                + 
+--R                      2    3              3    2              3    2
+--R                  (p q  - p )sin(a x) + (q  - p q)cos(a x) + q  - p q
+--R             /
+--R                q sin(a x) + p
+--R       + 
+--R                                             +-------+
+--R             2                               | 2    2
+--R         (- q sin(a x) - p q cos(a x) - p q)\|q  - p
+--R    /
+--R                                                  +-------+
+--R              3      3                2 2      4  | 2    2
+--R       ((a p q  - a p q)sin(a x) + a p q  - a p )\|q  - p
+--R     ,
+--R
+--R                                                                 +---------+
+--R                                                                 |   2    2
+--R            2               3      (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R         (2p q sin(a x) + 2p )atan(-----------------------------------------)
+--R                                            2    2             2    2
+--R                                          (q  - p )cos(a x) + q  - p
+--R       + 
+--R                                             +---------+
+--R             2                               |   2    2
+--R         (- q sin(a x) - p q cos(a x) - p q)\|- q  + p
+--R    /
+--R                                                  +---------+
+--R              3      3                2 2      4  |   2    2
+--R       ((a p q  - a p q)sin(a x) + a p q  - a p )\|- q  + p
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.362~~~~~$\displaystyle
+\int{\frac{dx}{p^2+q^2\sin^2{ax}}}$}
+$$\int{\frac{1}{p^2+q^2\sin^2{ax}}}=
+\frac{1}{ap\sqrt{p^2+q^2}}\tan^{-1}\frac{\sqrt{p^2+q^2}\tan{ax}}{p}
+$$
+<<*>>=
+)clear all
+
+--S 24 of 30
+aa:=integrate(1/(p^2+a^2*sin(a*x)),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R       log
+--R                                                        +---------+
+--R                2 2               4    4             4  |   4    4
+--R              (a p sin(a x) + (- p  + a )cos(a x) + a )\|- p  + a
+--R            + 
+--R                6    4 2              2 4    6             2 4    6
+--R              (p  - a p )sin(a x) + (a p  - a )cos(a x) + a p  - a
+--R         /
+--R             2            2
+--R            a sin(a x) + p
+--R    /
+--R         +---------+
+--R         |   4    4
+--R       a\|- p  + a
+--R     ,
+--R                                         +-------+
+--R            2            2            2  | 4    4
+--R          (p sin(a x) + a cos(a x) + a )\|p  - a
+--R    2atan(----------------------------------------)
+--R                   4    4             4    4
+--R                 (p  - a )cos(a x) + p  - a
+--R    -----------------------------------------------]
+--R                        +-------+
+--R                        | 4    4
+--R                      a\|p  - a
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.363~~~~~$\displaystyle
+\int{\frac{dx}{p^2-q^2\sin^2{ax}}}$}
+$$\int{\frac{1}{p^2-q^2\sin^2{ax}}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{1}{ap\sqrt{p^2-q^2}}\tan^{-1}\frac{\sqrt{p^2-q^2}\tan{ax}}{p}\\
+\\
+\displaystyle
+\frac{1}{2ap\sqrt{q^2-p^2}}\ln\left(\frac{\sqrt{q^2-p^2}\tan{ax}+p}
+{\sqrt{q^2-p^2}\tan{ax}-p}\right)
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 25 of 30
+aa:=integrate(1/(p^2-q^2*sin(a*x)^2),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R       log
+--R                                                +-------+
+--R                   2     2         2    2    2  | 2    2
+--R              ((- q  + 2p )cos(a x)  + q  - p )\|q  - p
+--R            + 
+--R                   2     3
+--R              (2p q  - 2p )cos(a x)sin(a x)
+--R         /
+--R             2        2    2    2
+--R            q cos(a x)  - q  + p
+--R    /
+--R            +-------+
+--R            | 2    2
+--R       2a p\|q  - p
+--R     ,
+--R
+--R                                +---------+
+--R                                |   2    2
+--R                     p sin(a x)\|- q  + p
+--R         - atan(-------------------------------)
+--R                   2     2              2     2
+--R                (2q  - 2p )cos(a x) + 2q  - 2p
+--R       + 
+--R                      2    2              2     2
+--R                  ((2q  - p )cos(a x) + 2q  - 2p )sin(a x)
+--R         - atan(-------------------------------------------)
+--R                                                +---------+
+--R                           2                    |   2    2
+--R                (p cos(a x)  + 2p cos(a x) + p)\|- q  + p
+--R    /
+--R           +---------+
+--R           |   2    2
+--R       a p\|- q  + p
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.364~~~~~$\displaystyle
+\int{x^m\sin{ax}}~dx$}
+$$\int{x^m\sin{ax}}=
+-\frac{x^m\cos{ax}}{a}+\frac{mx^{m-1}\sin{ax}}{a^2}
+-\frac{m(m-1)}{a^2}\int{x^{m-2}\sin{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 26 of 30
+aa:=integrate(x^m*sin(a*x),x)
+--R 
+--R
+--R           x
+--R         ++             m
+--R   (1)   |   sin(%I a)%I d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.365~~~~~$\displaystyle
+\int{\frac{\sin{ax}}{x^n}}~dx$}
+$$\int{\frac{\sin{ax}}{x^n}}=
+-\frac{\sin{ax}}{(n-1)x^{n-1}}+\frac{a}{n-1}\int{\frac{\cos{ax}}{x^{n-1}}}
+$$
+<<*>>=
+)clear all
+
+--S 26 of 30
+aa:=integrate(sin(a*x)/x^n,x)
+--R 
+--R
+--R           x
+--R         ++  sin(%I a)
+--R   (1)   |   --------- d%I
+--R        ++        n
+--R                %I
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.366~~~~~$\displaystyle
+\int{\sin^n{ax}}~dx$}
+$$\int{\sin^n{ax}}=
+-\frac{\sin^{n-1}{ax}\cos{ax}}{an}+\frac{n-1}{n}\int{\sin^{n-2}{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 28 of 30
+aa:=integrate(sin(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++           n
+--R   (1)   |   sin(%I a) d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.367~~~~~$\displaystyle
+\int{\frac{1}{\sin^n{ax}}}~dx$}
+$$\int{\frac{1}{\sin^n{ax}}}=
+\frac{-\cos{ax}}{a(n-1)\sin^{n-1}{ax}}
++\frac{n-2}{n-1}\int{\frac{1}{\sin^{n-2}{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 29 of 30
+aa:=integrate(1/(sin(a*x))^n,x)
+--R 
+--R
+--R           x
+--R         ++       1
+--R   (1)   |   ---------- d%I
+--R        ++            n
+--R             sin(%I a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.368~~~~~$\displaystyle
+\int{\frac{x~dx}{sin^n{ax}}}$}
+$$\int{\frac{x}{sin^n{ax}}}=
+\frac{-x\cos{ax}}{a(n-1)\sin^{n-1}{ax}}
+-\frac{1}{a^2(n-1)(n-2)\sin^{n-2}{ax}}
++\frac{n-2}{n-1}\int{\frac{x}{\sin^{n-2}{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 30 of 30
+aa:=integrate(x/sin(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++      %I
+--R   (1)   |   ---------- d%I
+--R        ++            n
+--R             sin(%I a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp75-76
+\end{thebibliography}
+\end{document}
